# Bibliography

[Kneip] **A Novel Parametrization of the P3P-Problem for a Direct Computation of Absolute Camera Position and Orientation.**
    Kneip, L.; Scaramuzza, D. ; Siegwart, R.
    CVPR 2011
    
[EPnP] **EPnP: An Accurate O(n) Solution to the PnP Problem.**
    V. Lepetit and F. Moreno-Noguer and P. Fua, IJCV 2009. vol. 81, no. 2.
    
[HZ] **Multiple view geometry in computer vision.**
    Hartley, Richard, and Andrew Zisserman. 
    Vol. 2. Cambridge, 2000.
    
[Stewenius] **Recent Developments on Direct Relative Orientation.**
      H. Stewenius, C. Engels and D. Nister.
      ISPRS 2006

[Nister] **An Efficient Solution to the Five-Point Relative Pose.**
    D. Nister
    PAMI 2004
    
[Longuet] **A computer algorithm for reconstructing a scene from two projections.**
    Longuet-Higgins, H. C.
    Readings in Computer Vision: Issues, Problems, Principles, and Paradigms, MA Fischler and O. Firschein, eds (1987): 61-62.
    
[Chatterjee] **Efficient and Robust Large-Scale Rotation Averaging.**
    Avishek Chatterjee and Venu Madhav Govindu, ICCV 2013.

[Kyle2014] **Robust Global Translations with 1DSfM.**
    Kyle Wilson and Noah Snavely, ECCV 2014.

[Martinec] **Robust Multiview Reconstruction.**
    Daniel Martinec, 2008.
    
[ACSfM] **Adaptive structure from motion with a contrario model estimation.**
    Pierre Moulon, Pascal Monasse, and Renaud Marlet.
    In ACCV, 2012.

[GlobalACSfM] **Global Fusion of Relative Motions for Robust, Accurate and Scalable Structure from Motion.**
    Pierre Moulon, Pascal Monasse and Renaud Marlet.
    In ICCV, 2013.
    
[TracksCVMP12] **Unordered feature tracking made fast and easy**
    Pierre Moulon and Pascal Monasse, CVMP 2012.
    
[KVLD12] **Virtual Line Descriptor and Semi-Local Graph Matching Method for Reliable Feature Correspondence.**
    Zhe LIU and Renaud MARLET, BMVC 2012.
    
[Moulon13] **Global Multiple-View Color Consistency.**
    Pierre Moulon, Bruno Duisit and Pascal Monasse, CVMP 2013.
    
[PMVS] **Accurate, dense, and robust multi-view stereopsis.**
    Yasutaka Furukawa and Jean Ponce.
    IEEE Trans. on Pattern Analysis and Machine Intelligence, 32(8):1362-1376, 2010.

[CMPMVS] **Multi-View Reconstruction Preserving Weakly-Supported Surfaces.**
    M. Jancosek, T. Pajdla, CVPR 2011.

[Waechter2014] **Let There Be Color! Large-Scale Texturing of 3D Reconstructions.**
    M. Waechter, N. Moehrle, and M. Goesele, ECCV 2014.

[FLANN] **Fast Approximate Nearest Neighbors with Automatic Algorithm Configuration.**
    Muja, Marius, and David G. Lowe.  VISAPP (1). 2009.
 
[LinfNorm] **L infinity Minimization in Geometric Reconstruction Problems.**
    Richard I. Hartley, Frederik Schaffalitzky. CVPR 2004.

[LinfNormGeneric] **Multiple-View Geometry under the L infty Norm; Multiple View Geometry and the L infty -norm.**
    Fredrik Kahl, Richard Hartley, 2008; and Fredrik Kahl, ICCV 2005.

[Arnak] **Robust estimation for an inverse problem arising in multiview geometry.**
    Arnak S. Dalalyan, Renaud Keriven. In J. Math. Imaging Vision, 2012.

[RANSAC] **Random sample consensus: a paradigm for model fitting with applications to image analysis and automated cartography.**
    Fischler, Martin A., and Robert C. Bolles. 
    Communications of the ACM 24.6 (1981): 381-395.
    
[ACRANSAC] **Automatic homographic registration of a pair of images, with a contrario elimination of outliers.**
    Moisan, Lionel, Pierre Moulon, and Pascal Monasse.
    Image Processing On Line 10 (2012)

[VLFEAT]  **VLFeat: An Open and Portable Library of Computer Vision Algorithms**
    A. Vedaldi and B. Fulkerson, 2008. http://www.vlfeat.org/, http://www.vlfeat.org/overview/sift.html.

[OlssonDuality] **Outlier Removal Using Duality.**
    Carl Olsson, Anders Eriksson and Richard Hartley, Richard. CVPR 2010.
    
[CASCADEHASHING] **Fast and Accurate Image Matching with Cascade Hashing for 3D Reconstruction**
   Jian Cheng, Cong Leng, Jiaxiang Wu, Hainan Cui, Hanqing Lu. CVPR 2014. 
 
[Ceres] **Ceres Solver**
    Sameer Agarwal and Keir Mierle and Others, http://ceres-solver.org

[CppUnitLite] **CppUnitLite** http://c2.com/cgi/wiki?CppUnitLite

[Eigen] **Eigen** http://eigen.tuxfamily.org/index.php?title=Main_Page

[LEMON] **Lemon** http://lemon.cs.elte.hu/trac/lemon

[STLplus] **STLplus** http://stlplus.sourceforge.net/

[LP] **Linear Programming** http://en.wikipedia.org/wiki/Linear_programming

[ROCHADE] **ROCHADE: Robust Checkerboard Advanced Detection for Camera Calibration**
    Simon Placht, Peter Fürsattel, Etienne Assoumou Mengue, Hannes Hofmann, Christian Schaller, Michael Balda & Elli Angelopoulou.

[Geiger] **Automatic Calibration of Range and Camera Sensors using a single Shot**
    Andreas Geiger and Frank Moosmann and Oemer Car and Bernhard Schuster.

[Chen] **A New Sub-Pixel Detector for X-Corners in Camera Calibration Targets**
    Chen, Dazhi and Zhang, Guangjun

[Liu] **Automatic chessboard corner detection method**
    Liu, Y., Liu, S., Cao, Y., & Wang, Z. (2016).
    IET Image Processing, 10(1), 16-23.

[Abdulrahman] **X-Corner Detection for Camera Calibration Using Saddle Points**
    Abdulrahman S. Alturki, John S. Loomis.

[Bok] **Automated checkerboard detection and indexing using circular boundaries**
    Yunsu Bok, Hyowon Ha, In So Kweon.

[Zhang] **A flexible new technique for camera calibration**
    Zhengyou Zhang (1998).
